立即注册 登录
晓东CAD家园-论坛 返回首页

eachy的个人空间 http://bbs.xdcad.net/?14 [收藏] [复制] [分享] [RSS]

日志

Lisp|
分享 一个简单的文字竖排,仅对中文
2013-5-6 18:07
代码: ;;一个简单的文字竖排,仅对中文 eachy 2005.11.7 (defun c:tt (/ e el obj str p p1) (while (and (if (not e) (setq e (car (entsel))) e ) (setq el (entget e)) (setq obj (vlax-ename-vla-object e) str (vla-get-textstring obj) ) (if ( (strlen str) 2) (p ...
个人分类: Lisp|222 次阅读|0 个评论
分享 WSH/FSO
2013-5-6 18:06
;; WSH.LSP Copyright 1999 Tony Tanzillo ;; ;; WSH.LSP demonstrates how to use the Windows Scripting ;; Host's FileSystemObject in Visual LISP Applications. ;; ;; The FileSystemObject is part of Microsoft's Windows ;; Scripting Host, which is shipped with Windows 98 and ;; Internet Ex ...
个人分类: Lisp|249 次阅读|0 个评论
分享 按点选图块或文字删除相同实体
2013-5-6 18:05
;; 以前写过一个点选图块删除的程序,这次将文字加了进来,做设计难免用到电子版地形图 ;; 里面无用的信息比较多,典型的就是图块和单个文字 ;; 适用 AutoCAD 2000 + ;; 作者: eachy www . xdcad . net 2005.11.1 ( vl - load - com ) ( defun c : Del_blk_txt ...
个人分类: Lisp|163 次阅读|0 个评论
分享 获取LightweightPolyline Polyline顶点
2013-5-6 18:04
;; Form www.xdcad.net eachy 2005.9.21 ;;获取LightweightPolyl ...
个人分类: Lisp|279 次阅读|0 个评论
分享 简单的块内实体复制---Block OCS->WCS
2013-5-6 18:03
代码: (defun c:bcopy (/ e el) (while (and (setq e (nentselp "\n选择块内实体: ")) (= (length e) 4) ) (setq el (entget (car e))) (entmake el) (vla-transformby (vlax-ename-vla-object (entlast)) (vlax-tmatrix (caddr e)) ) ) (princ) )
个人分类: Lisp|224 次阅读|0 个评论
分享 [转贴]:两个矢量的点积
2013-5-6 18:03
代码: ;; ! Function : Computes the dot products of two vectors ;; ! ;; ! Arguments: 'v1' - First vector ;; ! 'v2' - Second Vector ;; ! ;; ! Returns : 'scl' - The dot product of the two vectors which is a scalar ;; ! value ;; ! Theory: Say you have two vecto ...
个人分类: Lisp|197 次阅读|0 个评论
分享 临时写的Line批量Fillet或Chamfer
2013-5-6 18:02
代码: (defun c:tt (/ ss ssl n m sp ep e e1 sp1 ep1 el el1) (if (setq ss (ssget '((0 . "line")))) (progn (setq ssl (sslength ss) n -1 ) (while ( n (1- ssl)) (setq e (ssname ss (setq n (1+ n))) el (entget e) sp (cdr (assoc 10 el)) ep (cdr (as ...
个人分类: Lisp|264 次阅读|0 个评论
分享 任意指定LightweightPolyline的起点位置
2013-5-6 18:02
程序写的比较简单,还可以增加在起点处显示“叉”就更明显了 ;;reset startpoint of lightweightpolyline (defun c:tt (/ e p el el1 pam pam0 pam1 pam2 el2 el3) (if (and (setq e (entsel "\nSelect LightweightPolyline: ")) (setq p (getpoint "\nPick Startpoint to: ")) ) (progn ( ...
个人分类: Lisp|210 次阅读|0 个评论
分享 一次性去掉钢筋弯钩的工具
2013-5-6 18:01
代码: (defun c:tt (/ ss ssl el) (if (setq ss (ssget '((90 . 4)))) (progn (setq ssl (sslength ss)) (while ( ssl 0) (setq el (entget (ssname ss (setq ssl (1- ssl)))) el (vl-remove (assoc 10 el) el) el (vl-remove (assoc 10 (reverse el)) el) el (subst '(90 ...
个人分类: Lisp|205 次阅读|1 个评论 热度 1
分享 vba:bkgColor
2013-5-6 17:57
;;program pochodzi z http://republika.pl/kojacek (vl-load-com) (defun vba:bkgColor (Color /) (vla-eval (vlax-get-acad-object) (strcat "AutoCAD.Application.Preferences" ".Display.Graphic ...
个人分类: Lisp|208 次阅读|0 个评论

QQ|申请友链|Archiver|手机版|小黑屋|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )

GMT+8, 2024-4-28 16:19 , Processed in 0.288335 second(s), 19 queries , Gzip On.

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

返回顶部